<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>Interpolation (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Interpolation (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/math/interpolation/KochanekBartelsInterpolation.html" title="class in com.sk89q.worldedit.math.interpolation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/math/interpolation/Interpolation.html" target="_top">Frames</a></li>
<li><a href="Interpolation.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.math.interpolation</div>
<h2 title="Interface Interpolation" class="title">Interface Interpolation</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/math/interpolation/KochanekBartelsInterpolation.html" title="class in com.sk89q.worldedit.math.interpolation">KochanekBartelsInterpolation</a>, <a href="../../../../../com/sk89q/worldedit/math/interpolation/LinearInterpolation.html" title="class in com.sk89q.worldedit.math.interpolation">LinearInterpolation</a>, <a href="../../../../../com/sk89q/worldedit/math/interpolation/ReparametrisingInterpolation.html" title="class in com.sk89q.worldedit.math.interpolation">ReparametrisingInterpolation</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Interpolation</span></pre>
<div class="block">Represents an arbitrary function in &#8477; &rarr; &#8477;<sup>3</sup></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/interpolation/Interpolation.html#arcLength-double-double-">arcLength</a></span>(double&nbsp;positionA,
         double&nbsp;positionB)</code>
<div class="block">Gets the result of &int;<sub>a</sub><sup style="position: relative; left: -1ex">b</sup>|f'(t)| dt.<br />
 That means it calculates the arc length (in meters) between positionA
 and positionB.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/interpolation/Interpolation.html#get1stDerivative-double-">get1stDerivative</a></span>(double&nbsp;position)</code>
<div class="block">Gets the result of f'(position).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/interpolation/Interpolation.html#getPosition-double-">getPosition</a></span>(double&nbsp;position)</code>
<div class="block">Gets the result of f(position)</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/interpolation/Interpolation.html#getSegment-double-">getSegment</a></span>(double&nbsp;position)</code>
<div class="block">Get the segment position.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/interpolation/Interpolation.html#setNodes-java.util.List-">setNodes</a></span>(java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/math/interpolation/Node.html" title="class in com.sk89q.worldedit.math.interpolation">Node</a>&gt;&nbsp;nodes)</code>
<div class="block">Sets nodes to be used by subsequent calls to
 <a href="../../../../../com/sk89q/worldedit/math/interpolation/Interpolation.html#getPosition-double-"><code>getPosition(double)</code></a> and the other methods.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setNodes-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNodes</h4>
<pre>void&nbsp;setNodes(java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/math/interpolation/Node.html" title="class in com.sk89q.worldedit.math.interpolation">Node</a>&gt;&nbsp;nodes)</pre>
<div class="block">Sets nodes to be used by subsequent calls to
 <a href="../../../../../com/sk89q/worldedit/math/interpolation/Interpolation.html#getPosition-double-"><code>getPosition(double)</code></a> and the other methods.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nodes</code> - the nodes</dd>
</dl>
</li>
</ul>
<a name="getPosition-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPosition</h4>
<pre><a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;getPosition(double&nbsp;position)</pre>
<div class="block">Gets the result of f(position)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position to interpolate</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result</dd>
</dl>
</li>
</ul>
<a name="get1stDerivative-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get1stDerivative</h4>
<pre><a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;get1stDerivative(double&nbsp;position)</pre>
<div class="block">Gets the result of f'(position).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position to interpolate</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result</dd>
</dl>
</li>
</ul>
<a name="arcLength-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>arcLength</h4>
<pre>double&nbsp;arcLength(double&nbsp;positionA,
                 double&nbsp;positionB)</pre>
<div class="block">Gets the result of &int;<sub>a</sub><sup style="position: relative; left: -1ex">b</sup>|f'(t)| dt.<br />
 That means it calculates the arc length (in meters) between positionA
 and positionB.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>positionA</code> - lower limit</dd>
<dd><code>positionB</code> - upper limit</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the arc length</dd>
</dl>
</li>
</ul>
<a name="getSegment-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSegment</h4>
<pre>int&nbsp;getSegment(double&nbsp;position)</pre>
<div class="block">Get the segment position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the segment position</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/math/interpolation/KochanekBartelsInterpolation.html" title="class in com.sk89q.worldedit.math.interpolation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/math/interpolation/Interpolation.html" target="_top">Frames</a></li>
<li><a href="Interpolation.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
